Daraja HTTP Framework 3.0-MS1 HTTP server framework for Object Pascal

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TdjContextHandlerCollection Class Reference

Multiple contexts may have the same context path and they are called in order until one handles the request. More...

Inheritance diagram for TdjContextHandlerCollection:

## Public Member Functions
| TdjContextHandlerCollection ()
| Create a collection of context handlers.
| ~TdjContextHandlerCollection ()
| Destructor.
Public Member Functions inherited from TdjHandlerList
| TdjHandlerList ()
| Constructor.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjHandlerCollection
| TdjHandlerCollection ()
| Create a TdjHandlerCollection.
| ~TdjHandlerCollection ()
| Destructor.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
| DoStart ()
| Start the handler.
| DoStop ()
| Start the handler.
| AddHandler (const IHandler Handler)
| Add a handler.
| RemoveHandler (const IHandler Handler)
| Remove a handler.
Public Member Functions inherited from TdjAbstractHandler
| TdjAbstractHandler ()
| Constructor.
| DoStart ()
| Start the handler.
| DoStop ()
| Start the handler.
| Handle (const string Target, TdjServerContext Context, TdjRequest Request, TdjResponse Response)
| Handle a HTTP request.
Public Member Functions inherited from TdjLifeCycle
| Start ()
| Start the handler.
| Stop ()
| Stop the handler.
Boolean | IsStarted ()
Boolean | IsStopped ()

## Additional Inherited Members
Public Attributes inherited from TdjLifeCycle
Boolean | Started
| True if the state is "started".
Boolean | Stopped
| True if the state is "stopped".
Protected Member Functions inherited from TdjAbstractHandlerContainer
| AddHandler (const IHandler Handler)
| Add a handler.
| RemoveHandler (const IHandler Handler)
| Remove a handler.
Protected Member Functions inherited from TdjLifeCycle
| DoStart ()
| Execute the custom start code.
| DoStop ()
| Execute the custom stop code.
| CheckStarted ()
| Raises an exception if the lifecycle is in "started" state.
| CheckStopped ()
| Raises an exception if the lifecycle is in "stopped" state.
Protected Attributes inherited from TdjHandlerCollection
TdjHandlers | FHandlers
| The handler collection.

## Detailed Description

Multiple contexts may have the same context path and they are called in order until one handles the request.